import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MonitorRuleIndicators } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 13:20
 */
interface MonitorRuleIndicatorsCU extends ConditionUtil<MonitorRuleIndicatorsCU> {
    ID: FieldUtil<MonitorRuleIndicatorsCU>;
    INDICATORS_CODE: FieldUtil<MonitorRuleIndicatorsCU>;
    INDICATORS_NAME: FieldUtil<MonitorRuleIndicatorsCU>;
    INDICATORS_UNIT: FieldUtil<MonitorRuleIndicatorsCU>;
    CREATE_TIME: FieldUtil<MonitorRuleIndicatorsCU>;
    UPDATE_TIME: FieldUtil<MonitorRuleIndicatorsCU>;
}
declare class MonitorRuleIndicatorsMU extends TableUtilImpl<MonitorRuleIndicatorsCU, MonitorRuleIndicators> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MonitorRuleIndicatorsCU;
    static get ID(): FieldUtil<MonitorRuleIndicatorsCU>;
    static get INDICATORS_CODE(): FieldUtil<MonitorRuleIndicatorsCU>;
    static get INDICATORS_NAME(): FieldUtil<MonitorRuleIndicatorsCU>;
    static get INDICATORS_UNIT(): FieldUtil<MonitorRuleIndicatorsCU>;
    static get CREATE_TIME(): FieldUtil<MonitorRuleIndicatorsCU>;
    static get UPDATE_TIME(): FieldUtil<MonitorRuleIndicatorsCU>;
    get ID(): FieldUtil<MonitorRuleIndicatorsCU>;
    get INDICATORS_CODE(): FieldUtil<MonitorRuleIndicatorsCU>;
    get INDICATORS_NAME(): FieldUtil<MonitorRuleIndicatorsCU>;
    get INDICATORS_UNIT(): FieldUtil<MonitorRuleIndicatorsCU>;
    get CREATE_TIME(): FieldUtil<MonitorRuleIndicatorsCU>;
    get UPDATE_TIME(): FieldUtil<MonitorRuleIndicatorsCU>;
}
export { MonitorRuleIndicatorsMU, MonitorRuleIndicatorsCU };
